Bug 200546 - Crashes with Dynamic Playlists
Summary: Crashes with Dynamic Playlists
Status: RESOLVED DUPLICATE of bug 212115
Alias: None
Product: amarok
Classification: Applications
Component: Playlists/Dynamic Playlists (show other bugs)
Version: 2.3-GIT
Platform: Unlisted Binaries Linux
: HI crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 201111 206232 206847 207803 209125 210086 210278 210707 210741 210806 210957 211075 211259 211618 211775 211923 211944 212321 212488 212641 212772 212800 212898 213090 213124 213399 213420 213439 214023 214581 215590 215591 215687 215943 215987 215999 216506 216720 217133 219309 220839 220888 225049 226772 228408 228648 229902 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-07-17 13:23 UTC by Kuba Serafinowski
Modified: 2011-05-17 12:31 UTC (History)
45 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kuba Serafinowski 2009-07-17 13:23:41 UTC
Application that crashed: amarok
Version of the application: 2.2-SVN
KDE Version: 4.2.96 (KDE 4.2.96 (KDE 4.3 RC2)) "release 142"
Qt Version: 4.5.2
Operating System: Linux 2.6.27.23-0.1-default x86_64
Distribution: "openSUSE 11.1 (x86_64)"

What I was doing when the application crashed:
Amarok is crashing randomly, it happend a few times before, so I decided to report it at last.
I'm just listening to music on my playlist, the crash happens really randomly, can't say anything else..

 -- Backtrace:
Application: Amarok (amarok), signal: Aborted
[Current thread is 1 (Thread 0x7fcbe593e770 (LWP 14998))]

Thread 21 (Thread 0x7fcbcf3ae950 (LWP 14999)):
#0  0x00007fcbe3045fdd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbd5467631 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7fcbce544950 (LWP 15000)):
#0  0x00007fffedbff7f0 in clock_gettime ()
#1  0x00007fcbdaead4ed in clock_gettime () from /lib64/librt.so.1
#2  0x00007fcbe33ca92d in ?? () from /usr/lib64/libQtCore.so.4
#3  0x00007fcbe33cab21 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007fcbe33cc503 in ?? () from /usr/lib64/libQtCore.so.4
#5  0x00007fcbe33c8f0d in ?? () from /usr/lib64/libQtCore.so.4
#6  0x00007fcbdac211aa in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#7  0x00007fcbdac215ca in ?? () from /usr/lib64/libglib-2.0.so.0
#8  0x00007fcbdac21a8b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#9  0x00007fcbe33c8d5e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#10 0x00007fcbe339e1d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#11 0x00007fcbe339e5a4 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#12 0x00007fcbe32b2ed8 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#13 0x00007fcbd56c2aa2 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#14 0x00007fcbe32b5e65 in ?? () from /usr/lib64/libQtCore.so.4
#15 0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#16 0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7fcbcdb04950 (LWP 15003)):
#0  0x00007fcbe304887b in read () from /lib64/libpthread.so.0
#1  0x00007fcbd5b18c85 in ?? () from /usr/lib64/libasound.so.2
#2  0x00007fcbd5b13fe8 in snd_hctl_handle_events () from /usr/lib64/libasound.so.2
#3  0x00007fcbd5b1db85 in snd_mixer_handle_events () from /usr/lib64/libasound.so.2
#4  0x00007fcbcdb3ea00 in ?? () from /usr/lib64/xine/plugins/1.26/xineplug_ao_out_alsa.so
#5  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7fcbcd303950 (LWP 15004)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbd5478c23 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fcbca62d950 (LWP 15006)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbcb6a247d in os_event_wait_low (event=0xfbc1a0, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007fcbcb69f709 in os_aio_simulated_handle (global_segment=0, message1=0x7fcbca62d068, message2=0x7fcbca62d060, type=0x7fcbca62d058) at ../../../innobase/os/os0file.c:4089
#3  0x00007fcbcb663363 in fil_aio_wait (segment=0) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007fcbcb4fa870 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fcbc9195950 (LWP 15007)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbcb6a247d in os_event_wait_low (event=0xfbc240, reset_sig_count=3) at ../../../innobase/os/os0sync.c:420
#2  0x00007fcbcb69f709 in os_aio_simulated_handle (global_segment=1, message1=0x7fcbc9195068, message2=0x7fcbc9195060, type=0x7fcbc9195058) at ../../../innobase/os/os0file.c:4089
#3  0x00007fcbcb663363 in fil_aio_wait (segment=1) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007fcbcb4fa870 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fcbc8994950 (LWP 15008)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbcb6a247d in os_event_wait_low (event=0xfbc2e0, reset_sig_count=2) at ../../../innobase/os/os0sync.c:420
#2  0x00007fcbcb69f709 in os_aio_simulated_handle (global_segment=2, message1=0x7fcbc8994068, message2=0x7fcbc8994060, type=0x7fcbc8994058) at ../../../innobase/os/os0file.c:4089
#3  0x00007fcbcb663363 in fil_aio_wait (segment=2) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007fcbcb4fa870 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fcbc8193950 (LWP 15009)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbcb6a247d in os_event_wait_low (event=0xfbc380, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007fcbcb69f709 in os_aio_simulated_handle (global_segment=3, message1=0x7fcbc8193068, message2=0x7fcbc8193060, type=0x7fcbc8193058) at ../../../innobase/os/os0file.c:4089
#3  0x00007fcbcb663363 in fil_aio_wait (segment=3) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007fcbcb4fa870 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fcbc6c7b950 (LWP 15011)):
#0  0x00007fcbe2633662 in select () from /lib64/libc.so.6
#1  0x00007fcbcb6a28bb in os_thread_sleep (tm=<value optimized out>) at ../../../innobase/os/os0thread.c:274
#2  0x00007fcbcb4f72f8 in srv_lock_timeout_and_monitor_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:1882
#3  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fcbc647a950 (LWP 15012)):
#0  0x00007fcbe2633662 in select () from /lib64/libc.so.6
#1  0x00007fcbcb6a28bb in os_thread_sleep (tm=<value optimized out>) at ../../../innobase/os/os0thread.c:274
#2  0x00007fcbcb4f60aa in srv_error_monitor_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:2106
#3  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fcbc5c79950 (LWP 15013)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbcb6a247d in os_event_wait_low (event=0xa10020, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007fcbcb4f52df in srv_master_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:2598
#3  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fcbbcb0b950 (LWP 15014)):
#0  0x00007fcbe3045fdd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbd54756a5 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fcbbbcc1950 (LWP 15015)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbe32b6e19 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fcbdf915644 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27c82a0, th=0x2814970) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fcbdf917da3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2814500, th=0x2814970) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fcbdf91636f in ThreadWeaver::ThreadRunHelper::run (this=0x7fcbbbcc1060, parent=0x27c82a0, th=0x2814970) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:87
#5  0x00007fcbdf9167c9 in ThreadWeaver::Thread::run (this=0x2814970) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:142
#6  0x00007fcbe32b5e65 in ?? () from /usr/lib64/libQtCore.so.4
#7  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fcbbb4c0950 (LWP 15016)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbd546b19b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fcbd54710de in ?? () from /usr/lib64/libxine.so.1
#3  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fcbbacbf950 (LWP 15017)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbd546b19b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fcbd547217e in ?? () from /usr/lib64/libxine.so.1
#3  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fcbba4be950 (LWP 15018)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbd547b8fb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fcba977c950 (LWP 15145)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbe32b6e19 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fcbdf915644 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27c82a0, th=0x10c840e0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fcbdf917da3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2814500, th=0x10c840e0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fcbdf917dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x2814500, th=0x10c840e0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007fcbdf91636f in ThreadWeaver::ThreadRunHelper::run (this=0x7fcba977c060, parent=0x27c82a0, th=0x10c840e0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fcbdf9167c9 in ThreadWeaver::Thread::run (this=0x10c840e0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fcbe32b5e65 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fcba9f7d950 (LWP 15285)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbe32b6e19 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fcbdf915644 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27c82a0, th=0xf50bfb0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fcbdf917da3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2814500, th=0xf50bfb0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fcbdf917dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x2814500, th=0xf50bfb0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007fcbdf917dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x2814500, th=0xf50bfb0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fcbdf917dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x2814500, th=0xf50bfb0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fcbdf91636f in ThreadWeaver::ThreadRunHelper::run (this=0x7fcba9f7d060, parent=0x27c82a0, th=0xf50bfb0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:87
#8  0x00007fcbdf9167c9 in ThreadWeaver::Thread::run (this=0xf50bfb0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:142
#9  0x00007fcbe32b5e65 in ?? () from /usr/lib64/libQtCore.so.4
#10 0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fcbac90a950 (LWP 15286)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbe32b6e19 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fcbdf915644 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27c82a0, th=0x37f8f60) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fcbdf917da3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2814500, th=0x37f8f60) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fcbdf917dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x2814500, th=0x37f8f60) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007fcbdf917dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x2814500, th=0x37f8f60) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fcbdf91636f in ThreadWeaver::ThreadRunHelper::run (this=0x7fcbac90a060, parent=0x27c82a0, th=0x37f8f60) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fcbdf9167c9 in ThreadWeaver::Thread::run (this=0x37f8f60) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fcbe32b5e65 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fcb99f68950 (LWP 16132)):
#0  0x00007fcbe3045d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbe32b6e19 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fcbdc04287c in ?? () from /usr/lib64/libQtNetwork.so.4
#3  0x00007fcbe32b5e65 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x00007fcbe3042070 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fcbe263a10d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fcbe593e770 (LWP 14998)):
[KCrash Handler]
#5  0x00007fcbe2599645 in raise () from /lib64/libc.so.6
#6  0x00007fcbe259ac33 in abort () from /lib64/libc.so.6
#7  0x00007fcbe2df3de5 in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib64/libstdc++.so.6
#8  0x00007fcbe2df2206 in ?? () from /usr/lib64/libstdc++.so.6
#9  0x00007fcbe2df2233 in std::terminate() () from /usr/lib64/libstdc++.so.6
#10 0x00007fcbe2df22b6 in __cxa_rethrow () from /usr/lib64/libstdc++.so.6
#11 0x00007fcbe339e6b9 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#12 0x00007fcbe33a0894 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#13 0x00000000004037f5 in main (argc=1, argv=0x7fffedb19978) at /home/zizzfizzix/amarok/src/main.cpp:128

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2009-07-17 14:24:44 UTC
Kuba, make sure to install all the debugging packages in your system, you seem to lack a few (as the ?? in your backtrace show).

Also, make sure to run Amarok from the konsole with -d --nofork.
Comment 2 Kuba Serafinowski 2009-07-17 22:37:03 UTC
I installed some missing devel packages, and next time i hope backtrace will be more useful. Till now I didn't manage to get better backtrace with that issue, as it didn't crash then. I hope if i won't get better backtrace for that, this will last to get to know what's going on, this backtrace doesn't seem so useless.
Comment 3 Kuba Serafinowski 2009-07-18 16:11:03 UTC
I managed to get better backtrace in similar situation:

Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f0f2c43e770 (LWP 5756))]

Thread 21 (Thread 0x7f0f15ead950 (LWP 5757)):
#0  0x00007f0f29b44fdd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f1bf66631 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f0f15043950 (LWP 5758)):
#0  0x00007f0f29130386 in poll () from /lib64/libc.so.6
#1  0x00007f0f21720768 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f0f21720a8b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f0f29ec7d5e in QEventDispatcherGlib::processEvents (this=0x739790, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007f0f29e9d1d2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 352595920}) at kernel/qeventloop.cpp:149
#5  0x00007f0f29e9d5a4 in QEventLoop::exec (this=0x7f0f15043010, flags={i = 352596000}) at kernel/qeventloop.cpp:201
#6  0x00007f0f29db1ed8 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f0f1c1c1aa2 in Phonon::Xine::XineThread::run (this=0x7396a0) at /usr/src/debug/phonon-4.3.1/xine/xinethread.cpp:143
#8  0x00007f0f29db4e65 in QThreadPrivate::start (arg=0x7396a0) at thread/qthread_unix.cpp:188
#9  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f0f14603950 (LWP 5761)):
#0  0x00007f0f29130386 in poll () from /lib64/libc.so.6
#1  0x00007f0f1463d9c1 in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f0f13e02950 (LWP 5762)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f1bf77c23 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f0f1112a950 (LWP 5764)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f121a0dfd in os_event_wait_low (event=0xfbb7b0, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007f0f1219e089 in os_aio_simulated_handle (global_segment=0, message1=0x7f0f1112a068, message2=0x7f0f1112a060, type=0x7f0f1112a058) at ../../../innobase/os/os0file.c:4089
#3  0x00007f0f12161ce3 in fil_aio_wait (segment=0) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f0f11ff91f0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f0f0fc92950 (LWP 5765)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f121a0dfd in os_event_wait_low (event=0xfbb850, reset_sig_count=3) at ../../../innobase/os/os0sync.c:420
#2  0x00007f0f1219e089 in os_aio_simulated_handle (global_segment=1, message1=0x7f0f0fc92068, message2=0x7f0f0fc92060, type=0x7f0f0fc92058) at ../../../innobase/os/os0file.c:4089
#3  0x00007f0f12161ce3 in fil_aio_wait (segment=1) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f0f11ff91f0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f0f0f491950 (LWP 5766)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f121a0dfd in os_event_wait_low (event=0xfbb8f0, reset_sig_count=2) at ../../../innobase/os/os0sync.c:420
#2  0x00007f0f1219e089 in os_aio_simulated_handle (global_segment=2, message1=0x7f0f0f491068, message2=0x7f0f0f491060, type=0x7f0f0f491058) at ../../../innobase/os/os0file.c:4089
#3  0x00007f0f12161ce3 in fil_aio_wait (segment=2) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f0f11ff91f0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f0f0ec90950 (LWP 5767)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f121a0dfd in os_event_wait_low (event=0xfbb990, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007f0f1219e089 in os_aio_simulated_handle (global_segment=3, message1=0x7f0f0ec90068, message2=0x7f0f0ec90060, type=0x7f0f0ec90058) at ../../../innobase/os/os0file.c:4089
#3  0x00007f0f12161ce3 in fil_aio_wait (segment=3) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f0f11ff91f0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f0f0d778950 (LWP 5769)):
#0  0x00007f0f29132662 in select () from /lib64/libc.so.6
#1  0x00007f0f121a123b in os_thread_sleep (tm=<value optimized out>) at ../../../innobase/os/os0thread.c:274
#2  0x00007f0f11ff5c78 in srv_lock_timeout_and_monitor_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:1882
#3  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f0f0cf77950 (LWP 5770)):
#0  0x00007f0f29132662 in select () from /lib64/libc.so.6
#1  0x00007f0f121a123b in os_thread_sleep (tm=<value optimized out>) at ../../../innobase/os/os0thread.c:274
#2  0x00007f0f11ff4a2a in srv_error_monitor_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:2106
#3  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f0f0c776950 (LWP 5771)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f121a0dfd in os_event_wait_low (event=0xa4d240, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007f0f11ff3c5f in srv_master_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:2598
#3  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f0f03608950 (LWP 5773)):
#0  0x00007f0f29b44fdd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f1bf746a5 in video_out_loop () from /usr/lib64/libxine.so.1
#2  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f0f027be950 (LWP 5774)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f29db5e19 in QWaitConditionPrivate::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0f26414644 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x284d010, th=0x27b1100) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0f26416da3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x27b1100) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0f26416dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x27b1100) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f0f2641536f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0f027be060, parent=0x284d010, th=0x27b1100) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f0f264157c9 in ThreadWeaver::Thread::run (this=0x27b1100) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f0f29db4e65 in QThreadPrivate::start (arg=0x27b1100) at thread/qthread_unix.cpp:188
#9  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f0f01fbd950 (LWP 5775)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f29db5e19 in QWaitConditionPrivate::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0f26414644 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x284d010, th=0x2f75760) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0f26416da3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x2f75760) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0f26416dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x2f75760) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f0f26416dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x2f75760) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f0f2641536f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0f01fbd060, parent=0x284d010, th=0x2f75760) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f0f264157c9 in ThreadWeaver::Thread::run (this=0x2f75760) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f0f29db4e65 in QThreadPrivate::start (arg=0x2f75760) at thread/qthread_unix.cpp:188
#10 0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f0f017bc950 (LWP 5776)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f1bf6a19b in fifo_buffer_get () from /usr/lib64/libxine.so.1
#2  0x00007f0f1bf700de in video_decoder_loop () from /usr/lib64/libxine.so.1
#3  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f0f00fbb950 (LWP 5777)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f1bf6a19b in fifo_buffer_get () from /usr/lib64/libxine.so.1
#2  0x00007f0f1bf7117e in audio_decoder_loop () from /usr/lib64/libxine.so.1
#3  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f0f007ba950 (LWP 5778)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f1bf7a8fb in listener_loop () from /usr/lib64/libxine.so.1
#2  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f0ef3fff950 (LWP 5780)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f29db5e19 in QWaitConditionPrivate::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0f26414644 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x284d010, th=0x26671c0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0f26416da3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x26671c0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0f26416dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x26671c0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f0f26416dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x26671c0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f0f26416dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x26671c0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f0f26416dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x26671c0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f0f26416dbc in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x26671c0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f0f2641536f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0ef3fff060, parent=0x284d010, th=0x26671c0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:87
#11 0x00007f0f264157c9 in ThreadWeaver::Thread::run (this=0x26671c0) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:142
#12 0x00007f0f29db4e65 in QThreadPrivate::start (arg=0x26671c0) at thread/qthread_unix.cpp:188
#13 0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f0ef37fe950 (LWP 5781)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f29db5e19 in QWaitConditionPrivate::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0f26414644 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x284d010, th=0x7f0ef403e240) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f0f26416da3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b0c50, th=0x7f0ef403e240) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f0f2641536f in ThreadWeaver::ThreadRunHelper::run (this=0x7f0ef37fe060, parent=0x284d010, th=0x7f0ef403e240) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f0f264157c9 in ThreadWeaver::Thread::run (this=0x7f0ef403e240) at /usr/src/debug/kdelibs-4.2.96/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f0f29db4e65 in QThreadPrivate::start (arg=0x7f0ef403e240) at thread/qthread_unix.cpp:188
#8  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f0edf8ac950 (LWP 7148)):
#0  0x00007f0f29b44d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f0f29db5e19 in QWaitConditionPrivate::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f0f22b4187c in QHostInfoAgent::run (this=0x136a3240) at kernel/qhostinfo.cpp:260
#4  0x00007f0f29db4e65 in QThreadPrivate::start (arg=0x136a3240) at thread/qthread_unix.cpp:188
#5  0x00007f0f29b41070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f0f2913910d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f0f2c43e770 (LWP 5756)):
[KCrash Handler]
#5  QIODevicePrivate::isSequential (this=<value optimized out>) at io/qiodevice_p.h:97
#6  QIODevice::readAll (this=<value optimized out>) at io/qiodevice.cpp:947
#7  0x00007f0f09527ff4 in lastfm::ws::parse(QNetworkReply*) () from /usr/local/lib/liblastfm.so.0
#8  0x00007f0f09540995 in lastfm::Artist::getSimilar(QNetworkReply*) () from /usr/local/lib/liblastfm.so.0
#9  0x00007f0f097cc36f in Dynamic::SimilarArtistsBias::artistQueryDone (this=0x281a480) at /home/zizzfizzix/amarok/src/services/lastfm/biases/SimilarArtistsBias.cpp:166
#10 0x00007f0f097cc915 in Dynamic::SimilarArtistsBias::qt_metacall (this=0x281a480, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff34614cb0)
    at /home/zizzfizzix/amarok/build/src/services/lastfm/SimilarArtistsBias.moc:74
#11 0x00007f0f29eb36e2 in QMetaObject::activate (sender=0x4a13a80, from_signal_index=<value optimized out>, to_signal_index=9, argv=0x0) at kernel/qobject.cpp:3113
#12 0x00007f0f097d3520 in KNetworkReply::jobDone (this=0x4a13a80, kJob=0x18de870) at /home/zizzfizzix/amarok/src/services/lastfm/kdenetwork/knetworkreply.cpp:153
#13 0x00007f0f097d3bf4 in KNetworkReply::qt_metacall (this=0x4a13a80, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7fff34614f30)
    at /home/zizzfizzix/amarok/build/src/services/lastfm/knetworkreply.moc:73
#14 0x00007f0f29eb36e2 in QMetaObject::activate (sender=0x18de870, from_signal_index=<value optimized out>, to_signal_index=7, argv=0x0) at kernel/qobject.cpp:3113
#15 0x00007f0f2a4ef072 in KJob::result (this=0x21, _t1=0x18de870) at /usr/src/debug/kdelibs-4.2.96/build/kdecore/kjob.moc:188
#16 0x00007f0f2a4ef3ef in KJob::emitResult (this=0x18de870) at /usr/src/debug/kdelibs-4.2.96/kdecore/jobs/kjob.cpp:304
#17 0x00007f0f22ec9080 in KIO::SimpleJob::slotFinished (this=0x18de870) at /usr/src/debug/kdelibs-4.2.96/kio/kio/job.cpp:477
#18 0x00007f0f22ec9533 in KIO::TransferJob::slotFinished (this=0x18de870) at /usr/src/debug/kdelibs-4.2.96/kio/kio/job.cpp:948
#19 0x00007f0f22ec3f17 in KIO::SimpleJob::slotError (this=0x18de870, err=<value optimized out>, errorText=@0x7fff34615640) at /usr/src/debug/kdelibs-4.2.96/kio/kio/job.cpp:489
#20 0x00007f0f22ec4112 in KIO::SimpleJob::qt_metacall (this=0x18de870, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff34615400)
    at /usr/src/debug/kdelibs-4.2.96/build/kio/jobclasses.moc:158
#21 0x00007f0f22ec41d5 in KIO::TransferJob::qt_metacall (this=0x21, _c=287484928, _id=42050561, _a=0x0) at /usr/src/debug/kdelibs-4.2.96/build/kio/jobclasses.moc:331
#22 0x00007f0f29eb36e2 in QMetaObject::activate (sender=0x1354c8e0, from_signal_index=<value optimized out>, to_signal_index=6, argv=0x0) at kernel/qobject.cpp:3113
#23 0x00007f0f22f83496 in KIO::SlaveInterface::error (this=0x21, _t1=149, _t2=<value optimized out>) at /usr/src/debug/kdelibs-4.2.96/build/kio/slaveinterface.moc:153
#24 0x00007f0f22f86d39 in KIO::SlaveInterface::dispatch (this=0x1354c8e0, _cmd=102, rawdata=<value optimized out>) at /usr/src/debug/kdelibs-4.2.96/kio/kio/slaveinterface.cpp:208
#25 0x00007f0f22f83792 in KIO::SlaveInterface::dispatch (this=0x1354c8e0) at /usr/src/debug/kdelibs-4.2.96/kio/kio/slaveinterface.cpp:91
#26 0x00007f0f22f762f3 in KIO::Slave::gotInput (this=0x1354c8e0) at /usr/src/debug/kdelibs-4.2.96/kio/kio/slave.cpp:322
#27 0x00007f0f22f78558 in KIO::Slave::qt_metacall (this=0x1354c8e0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff34615800) at /usr/src/debug/kdelibs-4.2.96/build/kio/slave.moc:76
#28 0x00007f0f29eb36e2 in QMetaObject::activate (sender=0x1129a770, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3113
#29 0x00007f0f22e92a41 in KIO::ConnectionPrivate::dequeue (this=0x12ddb5e0) at /usr/src/debug/kdelibs-4.2.96/kio/kio/connection.cpp:82
#30 0x00007f0f22e92e9a in KIO::Connection::qt_metacall (this=0x1129a770, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x118f6dd0) at /usr/src/debug/kdelibs-4.2.96/build/kio/connection.moc:73
#31 0x00007f0f29eae8a8 in QObject::event (this=0x1129a770, e=0x284bc20) at kernel/qobject.cpp:1111
#32 0x00007f0f2aa16b0d in QApplicationPrivate::notify_helper (this=0x6dd2d0, receiver=0x1129a770, e=0x284bc20) at kernel/qapplication.cpp:4056
#33 0x00007f0f2aa1ed9a in QApplication::notify (this=0x7fff34616230, receiver=0x1129a770, e=0x284bc20) at kernel/qapplication.cpp:4021
#34 0x00007f0f2c00563b in KApplication::notify (this=0x7fff34616230, receiver=0x1129a770, event=0x284bc20) at /usr/src/debug/kdelibs-4.2.96/kdeui/kernel/kapplication.cpp:302
#35 0x00007f0f29e9e94c in QCoreApplication::notifyInternal (this=0x7fff34616230, receiver=0x1129a770, event=0x284bc20) at kernel/qcoreapplication.cpp:610
#36 0x00007f0f29e9f5ca in QCoreApplication::sendEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qcoreapplication.h:213
#37 QCoreApplicationPrivate::sendPostedEvents (event=<value optimized out>, receiver=<value optimized out>) at kernel/qcoreapplication.cpp:1247
#38 0x00007f0f29ec80b3 in QCoreApplication::sendPostedEvents () at kernel/qcoreapplication.h:218
#39 postEventSourceDispatch () at kernel/qeventdispatcher_glib.cpp:210
#40 0x00007f0f2171d0fb in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#41 0x00007f0f217208cd in ?? () from /usr/lib64/libglib-2.0.so.0
#42 0x00007f0f21720a8b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#43 0x00007f0f29ec7d3f in QEventDispatcherGlib::processEvents (this=0x6106b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#44 0x00007f0f2aaadfef in QGuiEventDispatcherGlib::processEvents (this=0x21, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#45 0x00007f0f29e9d1d2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 878797184}) at kernel/qeventloop.cpp:149
#46 0x00007f0f29e9d5a4 in QEventLoop::exec (this=0x7fff346161c0, flags={i = 878797264}) at kernel/qeventloop.cpp:201
#47 0x00007f0f29e9f894 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#48 0x00000000004037f5 in main (argc=1, argv=0x7fff34617438) at /home/zizzfizzix/amarok/src/main.cpp:128
Comment 4 Andreas Stangl 2009-07-20 18:51:30 UTC
I experience the same situation when playing my dynamic playlist. Amarok 
sometimes skips tracks (the tracks are played cleanly if I manually select 
them, don't know if this is related to this bug) for no certain reason and 
crashes with SIGSEGV pretty frequently.

My collection is located on an ntfs partition I access via ntfs-3g, I use the 
phono-xine backend and have last.fm scrobbling enabled 
(if anything of this matters).

My system:
----------------
OS: Gentoo ~amd64
Qt: 4.5.2
KDE: 4.2.4 (KDE 4.2.4)
Amarok: 2.1.1
libmp4v2: libmp4v2-1.9.1

Amarok was compiled with:
-------------------------
CFLAGS="-march=native -O2 -ggdb"
CXXFLAGS="${CFLAGS}"
USE="cdaudio opengl semantic-desktop debug -daap -ipod -mp3tunes -mtp" 
LINGUAS="de"

Newertheless it seems that I am not able to produce a good stack trace. There 
are a whole lot of "?" in the dump :-( I alredy followed the guide on gentoo.org 
about producing valid stack traces. Do I have to enable debugging for more packages?

So here's my main emerge --info stuff:
------------------------------------------
Portage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.10.1-r0, 2.6.30-gentoo-r1 x86_64)
System uname: Linux-2.6.30-gentoo-r1-x86_64-Intel-R-_Pentium-R-_D_CPU_3.00GHz-with-gentoo-2.0.1
Timestamp of tree: Sun, 19 Jul 2009 17:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r2, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"

There are some messages in the --debug 
output that might be interesting:
-----------------------------------
* QSocketNotifier: Invalid socket 5 and type 'Read', disabling...
* Fatal IO error: client killed
* amarok:  [ERROR!] GREPME MySQLe query failed! Table 'urls' is marked as crashed and should be repaired  on  "SELECT urls.uniqueid FROM  tracks INNER JOIN urls ON tracks.url = urls.id WHERE 1 ;"
(Note: I already repaired this table several times but this always happens again)
* amarok:        [ERROR!] GREPME MySQLe query failed! Table 'amarok.bookmarks' doesn't exist  on  "SELECT id, parent_id, name, url, description, custom FROM bookmarks WHERE url LIKE '%ZmlsZTovLy9tZWRpYS9leHRkYXRhL011c2 [...] JvY2tfbl9Sb2xsX05pZ2dlci5tcDM%'"
* amarok:    [ERROR!] GREPME MySQLe query failed! Specified key was too long; max key length is 1000 bytes  on  "CREATE UNIQUE INDEX urls_id_rpath_temp ON urls_temp(deviceid, rpath);"
* ASSERT failure in QList<T>::at: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 395
* QSocketNotifier: Invalid socket 9 and type 'Read', disabling...
* pure virtual method called
* terminate called without an active exception

So I made a symlink in order to relocate the mysqle database to /var/lib/mysql, 
did some nasty permission changes so that I am able to browse it via phpmyadmin 
and I found some problems with the tables (via the "CHECK TABLE" command):

After amarok crash:
---------------------
directories error: Found 7 keys of 415
directories error: Corrupt
images warning: Size of indexfile is: 25600 Should be: 19456
images error: Found key at page 4096 that points to record outside datafile
images error: Corrupt
lyrics warning: Size of datafile is: 18776 Should be: 18616
lyrics error: Found 19 keys of 18
lyrics error: Corrupt
tracks warning: Size of indexfile is: 733184 Should be: 601088
tracks error: Invalid key block position: 685056  key block size: 1024  file_length: 601088
tracks error: Found 1763 keys of 3767
tracks error: Corrupt
urls warning: Size of indexfile is: 517120 Should be: 343040
urls error: Invalid key block position: 418816  key block size: 1024  file_length: 343040

If these problems are not solved via the "repair" operation amarok complains 
about crashed tables in the debug output.

Even worse: Everytime I close Amarok (I mean an manual close, not a crash) the 
database gets messed up. If I analyze the tables via mysql the following 
problems occure:
------------------
directories error: Found 7 keys of 415
directories error: Corrupt
images warning: Size of indexfile is: 25600 Should be: 19456
images error: Found key at page 4096 that points to record outside datafile
images error: Corrupt
lyrics warning: Size of datafile is: 21012 Should be: 18776
lyrics error: Found 20 keys of 19
lyrics error: Corrupt
tracks warning: Size of indexfile is: 661504 Should be: 601088
tracks error: Invalid key block position: 618496 key block size: 1024  file_length: 601088
urls warning: Size of indexfile is: 424960 Should be: 343040
urls error: Invalid key block position: 418816 key block size: 1024  file_length: 343040

After I saw these database problems I decided to cleanup my tables via a self written shell 
script that checks for non existent directories and urls. After I identified the direcotries/urls,
I removed all the wrong rows in the "directories" and "urls" tables and all rows from 
"tracks", "artists" and "stats" referencing one of these entries. 
I also cleaned up the "images" table and cleared the "lyrics" table. But nothing changed.

(Note: I somehow managed to import my old amarok1 data in amarok2 some time ago in order 
to keep my stats and I thought this might be the problem, so I did the cleanup mentioned above.)

I also moved the whole database and let amarok create a brand new one. After that I removed all 
tables from my original database that I did not find in the newly created one. I even checked 
all column-datatypes but I did not found any hint about what could be wrong with my database.

I wonder if other peoble that experience amarok crashing randomly with dynamic playlist find
similiar database problems. I hope this comment contains some information for you 'cause I'm 
feeling kind of helpless now...
Comment 5 Andreas Stangl 2009-07-20 21:57:42 UTC
I converted the whole database to utf8_unicode_ci (I have nls=utf8 set for my ntfs partition in fstab) and the crashes occure less frequently. Nevertheless there are still a lot of sql errors like the following in the debug output:

amarok: [ERROR!] GREPME MySQLe query failed! Specified key was too long; max key length is 1000 bytes  on  "CREATE UNIQUE INDEX urls_id_rpath_temp ON urls_temp(deviceid, rpath);"

And amarok leaves many tables corrupt when exiting...

I am currently recompiling all my qt stuff with the "debug" use flag, I hope I can provide a informative stack trace...
Comment 6 Myriam Schweingruber 2009-07-20 22:01:53 UTC
Andreas, I am almost certain your bug has nothing to do with this one. Also, to confirm Kubas bug you need to have the same version, as this is a bug in 2.2-SVN.

BTW, track skipping is certianly not due to this at all, thois is more likely a sound backend problem.

There already is a bug report concerning MySQL for 2.1.1, and it has been fixed in 2.2-svn since some time already.
Comment 7 Andreas Stangl 2009-07-20 22:07:25 UTC
Thanks for your reply, I'll check out the latest svn version.
Comment 8 Andreas Stangl 2009-07-21 14:13:56 UTC
Now I'm using

Qt: 4.5.2
KDE: 4.2.4 (KDE 4.2.4)
Amarok: 2.2-SVN

and I must say, the crashes almost don't happen anymore. 
But here's another one:

Last few lines from the debug output:
------------------------------
amarok:     BEGIN: virtual void Dynamic::BiasSolver::run() 
amarok:       BEGIN: void Dynamic::BiasSolver::computeDomain() 
amarok:         [BiasSolver] Got a bias which says it wants to filter from collection. 
amarok:         [BiasSolver] and got a proper collectionfiltercapability from it 
amarok:         [BiasSolver] property size:  458 
amarok:         [BiasSolver] track selected: "Electrohead" "Combichrist" 
ASSERT failure in QList<T>::swap: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 474


Here is the stack trace (I'm trying to get rid of all the "??()"):
------------------------------------------
#0  raise() at :0
#1  abort() at :0
#2  qt_message_output(msgType = QtFatalMsg, buf = <value optimized out>) at global/qglobal.cpp:2042
#3  qFatal(msg = <value optimized out>) at global/qglobal.cpp:2241
#4  QList<int>::swap(this = 0x7fd49ea35db0, i = 1, j = 0) at /usr/include/qt4/QtCore/qlist.h:473
#5  Dynamic::BiasSolver::generateInitialPlaylist(this = 0x25ae980, optimal = @0x7fd49ea35e8f: true) at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/dynamic/BiasSolver.cpp:644
#6  Dynamic::BiasSolver::run(this = 0x25ae980) at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/dynamic/BiasSolver.cpp:172
#7  ??() at :0
#8  ThreadWeaver::Job::execute() at :0
#9  ??() at :0
#10  ThreadWeaver::Thread::run() at :0
#11  QThreadPrivate::start(arg = 0x4dda200) at thread/qthread_unix.cpp:188
#12  start_thread() at :0
#13  clone() at :0
#14  ??() at :0

I hope this helps.
Comment 9 Andreas Stangl 2009-07-22 13:48:55 UTC
Another "index out of range" crash:
--------------------------

amarok:     BEGIN: virtual void Dynamic::BiasSolver::run() 
amarok:       BEGIN: void Dynamic::BiasSolver::computeDomain() 
amarok:         [BiasSolver] Got a bias which says it wants to filter from collection. 
amarok:         [BiasSolver] and got a proper collectionfiltercapability from it 
amarok:         [BiasSolver] property size:  458 
amarok:       [BiasSolver] chose track from bias 
ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 403

Stack:
----------
#0  raise() at :0
#1  abort() at :0
#2  qt_message_output(msgType = QtFatalMsg, buf = <value optimized out>) at global/qglobal.cpp:2042
#3  qFatal(msg = <value optimized out>) at global/qglobal.cpp:2241
#4  QList<int>::operator[](this = 0x7f8fdd2d9db0, i = 1) at /usr/include/qt4/QtCore/qlist.h:403
#5  Dynamic::BiasSolver::generateInitialPlaylist(this = 0x7f8fe803c5e0, optimal = @0x7f8fdd2d9e8f: true) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:655
#6  Dynamic::BiasSolver::run(this = 0x7f8fe803c5e0) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:172
#7  ??() at :0
#8  ThreadWeaver::Job::execute() at :0
#9  ??() at :0
#10  ThreadWeaver::Thread::run() at :0
#11  QThreadPrivate::start(arg = 0x4cfc160) at thread/qthread_unix.cpp:188
#12  start_thread() at :0
#13  clone() at :0
#14  ??() at :0
Comment 10 Myriam Schweingruber 2009-07-22 14:36:19 UTC
Andreas, I fail to see what this has to do with Kuba's crash report. We need a crash confirmation with a valid backtrace to confirm Kuba's report.
Comment 11 Andreas Stangl 2009-07-22 15:38:08 UTC
filed new bug #201111
Comment 12 Myriam Schweingruber 2009-08-09 14:47:16 UTC
Changed priority to high
Comment 13 Edward Hades 2009-08-16 18:00:19 UTC
Is your dynamic mode configured somehow? I mean, are biases enabled, or is it simple Random dynamic playlist? If biases are enabled, please list them.
Comment 14 Myriam Schweingruber 2009-09-05 11:35:26 UTC
Could somebody (Kuba, Andreas) please answer comment #13?
Comment 15 Kuba Serafinowski 2009-09-05 11:44:46 UTC
@#13
Edward I think I had some biases enabled because now I really forgot about the crash as I just noticed I stopped using dynamic playlists.
I have some saved biases though I don't remember which i used then, the most likely is:
Rating equal to 0 proportion about 90%
Recommendations from echonest/lastfm for current track proportion ~55%
Play count equal 0 strictness about 60%
(mainly it was about playing cool similar music with no rating and/or playcount so I don't listen to osmething a few times, and i can rate music as i listen to it so rating must be 0
Comment 16 Mikko C. 2009-09-09 11:55:20 UTC
*** Bug 206847 has been marked as a duplicate of this bug. ***
Comment 17 Marcos David 2009-09-09 12:48:35 UTC
Hi from what I can tell this happens mostly when using Echo Nest recommendations.
Comment 18 Mikko C. 2009-09-11 09:13:15 UTC
*** Bug 206232 has been marked as a duplicate of this bug. ***
Comment 19 busytoby 2009-09-18 16:29:06 UTC
Can confirm that similar crash behaviour was resolved upon removing Echo Nest criteria from my dynamic playlist biases.
Comment 20 Mikko C. 2009-09-18 16:54:29 UTC
*** Bug 207803 has been marked as a duplicate of this bug. ***
Comment 21 Tejas Guruswamy 2009-10-09 18:49:58 UTC
I can reproduce this bug running openSUSE 11.1, KDE 4.3.1,
amarok 2.2.0 from the KDE:KDE4:Playground repos, packman libxine1, phonon-backend-xine.

versions:
amarok-2.2.0-31.2
amarok-debuginfo-2.2.0-31.2
phonon-backend-xine-4.3.1-31.1
libxine1-1.1.16.3-2.pm.6.5

Every time as soon as dynamic playlist is enabled, amarok crashes for me regardless of whether any biases are in place.

backtrace is very similar to top, running amarok --debug shows this:

amarok: Fatal IO error: client killed

Let me know what further info would help. It could just be a library mismatch somewhere that rpm's autodependencies haven't caught.
Comment 22 Mark Kretschmann 2009-10-09 19:44:26 UTC
We have a few fixes in git master for these problems (in the pipeline for 2.2.1). Amarok-Git users please test if it's better now. One of them is from Leo Franchi:


commit ed40135da85777e57301ac1853bdfd69ae4c5e8b
Author: Leo Franchi <lfranchi@kde.org>
Date:   Thu Oct 8 10:23:28 2009 -0400

    reduce number of biasplaylist-related crashes by only repopulating the active bias. some really nasty threading issues going on here.

    CCBUG: 201111
Comment 23 Mark Kretschmann 2009-10-10 10:35:53 UTC
*** Bug 201111 has been marked as a duplicate of this bug. ***
Comment 24 Mark Kretschmann 2009-10-10 15:35:03 UTC
Well, would be nice if some amarok-2.2-GIT users could test if it works now. Any crashes left?
Comment 25 Mikko C. 2009-10-10 15:44:02 UTC
*** Bug 210086 has been marked as a duplicate of this bug. ***
Comment 26 Myriam Schweingruber 2009-10-12 09:44:37 UTC
*** Bug 210278 has been marked as a duplicate of this bug. ***
Comment 27 Myriam Schweingruber 2009-10-13 18:52:32 UTC
*** Bug 209125 has been marked as a duplicate of this bug. ***
Comment 28 Myriam Schweingruber 2009-10-15 21:04:01 UTC
*** Bug 210707 has been marked as a duplicate of this bug. ***
Comment 29 Myriam Schweingruber 2009-10-16 11:55:05 UTC
*** Bug 210741 has been marked as a duplicate of this bug. ***
Comment 30 Andreas Stangl 2009-10-16 20:22:16 UTC
Hi everybody, I got another crash (don't know if it was already reported), this time I have two criterias

- rating >= 3.5 Stars
- similar artists from last.fm

amarok crashes when I press "next track" several times

debug output: (nothing usefull, sorry...)
----------------------------------------------
amarok:      returning bookmarkcurrenttrack action
amarok:   END__: void EngineSubject::stateChangedNotify(Phonon::State, Phonon::State) - Took 0.019s
amarok: END__: void EngineController::slotStateChanged(Phonon::State, Phonon::State) - Took 0.019s
amarok: BEGIN: void Albums::dataUpdated(const QString&, const QHash<QString, QVariant>&)
amarok:    Received 6 albums
amarok: END__: void Albums::dataUpdated(const QString&, const QHash<QString, QVariant>&) - Took 0.073s
amarok: BEGIN: void CurrentTrack::dataUpdated(const QString&, const QHash<QString, QVariant>&)
amarok: END__: void CurrentTrack::dataUpdated(const QString&, const QHash<QString, QVariant>&) - Took 0.0009s
amarok: BEGIN: void Context::Applet::setCollapseOff()
amarok:    height: 1 target: -1 m_collapsed: false
amarok: END__: void Context::Applet::setCollapseOff() - Took 0.00015s
amarok: BEGIN: void LastFmService::onAvatarDownloaded(QPixmap)
amarok: END__: void LastFmService::onAvatarDownloaded(QPixmap) - Took 0.0017s
amarok: BEGIN: void Dynamic::SimilarArtistsBias::artistQueryDone()
lastfm::ws::Error
amarok:   BEGIN: void Dynamic::SimilarArtistsBias::updateReady(QString, QStringList)
amarok:   END__: void Dynamic::SimilarArtistsBias::updateReady(QString, QStringList) - Took 0.00018s
amarok: END__: void Dynamic::SimilarArtistsBias::artistQueryDone() - Took 0.0027s
amarok: BEGIN: void Dynamic::SimilarArtistsBias::updateFinished()
amarok: END__: void Dynamic::SimilarArtistsBias::updateFinished() - Took 0.00015s
amarok: BEGIN: void Dynamic::SimilarArtistsBias::artistQueryDone()
KCrash: Application 'amarok' crashing...
sock_file=/home/stan/.kde4/socket-zerberus/kdeinit4__0

Stack trace:
-----------------
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fb0172197a0 (LWP 6041))]

Thread 36 (Thread 0x7fb0009d2910 (LWP 6042)):
#0  0x00007fb01465923d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb005bd8728 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#3  0x00007fb014b8056d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 35 (Thread 0x7fb0001d1910 (LWP 6043)):
#0  0x00007fb014656cc2 in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0x00007fb00d2d7ddc in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007fb00d2d8197 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fb00d2d8678 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fb015cb4465 in QEventDispatcherGlib::processEvents (this=0x882af0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:330
#5  0x00007fb015c92602 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007fb015c9278c in QEventLoop::exec (this=0x7fb0001d0f30, flags=) at kernel/qeventloop.cpp:197
#7  0x00007fb015bcf3bd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007fb005e2dbc6 in Phonon::Xine::XineThread::run (this=0x795c40) at /usr/src/debug/media-sound/phonon-4.4_pre20090520/phonon-4.4_pre20090520/xine/xinethread.cpp:143
#9  0x00007fb015bd19a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#10 0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#11 0x00007fb014b8056d in clone () from /lib/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 34 (Thread 0x7fafff7c6910 (LWP 6046)):
#0  0x00007fb014b778a3 in poll () from /lib/libc.so.6
#1  0x00007fafff7cceb7 in ?? () from /usr/lib64/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#3  0x00007fb014b8056d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 33 (Thread 0x7faffefc5910 (LWP 6047)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb005be554c in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fb005be6dc3 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#4  0x00007fb014b8056d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 32 (Thread 0x7faffe3b9910 (LWP 6048)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb005be554c in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fb005be6dc3 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#4  0x00007fb014b8056d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 31 (Thread 0x7faffbcd0910 (LWP 6050)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 30 (Thread 0x7faffa913910 (LWP 6051)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 29 (Thread 0x7faffa112910 (LWP 6052)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 28 (Thread 0x7faff9911910 (LWP 6053)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 27 (Thread 0x7faff9110910 (LWP 6054)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 26 (Thread 0x7faff890f910 (LWP 6055)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 25 (Thread 0x7faff810e910 (LWP 6056)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 24 (Thread 0x7faff790d910 (LWP 6057)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7faff710c910 (LWP 6058)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7faff690b910 (LWP 6059)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7faff610a910 (LWP 6060)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7faff5909910 (LWP 6061)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7faff5108910 (LWP 6062)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7faff4907910 (LWP 6063)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7faff4106910 (LWP 6064)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7faff3905910 (LWP 6065)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7faff3104910 (LWP 6066)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7faff2903910 (LWP 6067)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcaf1dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007faffcab5d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007faffcb31fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7faff13eb910 (LWP 6069)):
#0  0x00007fb014b79cf2 in select () from /lib/libc.so.6
#1  0x00007faffcaee9a4 in os_thread_sleep () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcb30467 in srv_lock_timeout_and_monitor_thread () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#4  0x00007fb014b8056d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7faff0bea910 (LWP 6070)):
#0  0x00007fb014b79cf2 in select () from /lib/libc.so.6
#1  0x00007faffcaee9a4 in os_thread_sleep () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcb2ed80 in srv_error_monitor_thread () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#4  0x00007fb014b8056d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7faff03e9910 (LWP 6071)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007faffcaee5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007faffcb2d0c7 in srv_master_thread () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#4  0x00007fb014b8056d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fafebc6a910 (LWP 6073)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb015bd26a8 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1e7b220, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1e7b220, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb0110924f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fb011094090 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#10 0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#11 0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#12 0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#13 0x00007fb011092b3e in ?? () from /usr/lib64/libthreadweaver.so.4
#14 0x00007fb011092ec6 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#15 0x00007fb015bd19a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#16 0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#17 0x00007fb014b8056d in clone () from /lib/libc.so.6
#18 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fafeb469910 (LWP 6074)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb015bd26a8 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1e7b220, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1e7b220, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb0110924f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fb011094090 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fb011092b3e in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fb011092ec6 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fb015bd19a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#8  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#9  0x00007fb014b8056d in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fafeac68910 (LWP 6076)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb015bd26a8 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1e7b220, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1e7b220, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb0110924f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fb011094090 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fb011092b3e in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007fb011092ec6 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#9  0x00007fb015bd19a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#10 0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#11 0x00007fb014b8056d in clone () from /lib/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fafe53db910 (LWP 6080)):
#0  0x00007fb01465923d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb015bd2635 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x221fae0, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x221fae0, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb015bca7f9 in QThreadPoolThread::run (this=0x2203150) at concurrent/qthreadpool.cpp:140
#4  0x00007fb015bd19a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#5  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#6  0x00007fb014b8056d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fafe419a910 (LWP 6082)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb015bd26a8 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1e7b220, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1e7b220, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fb0110924f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fb011094090 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007fb0110940a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007fb011092b3e in ?? () from /usr/lib64/libthreadweaver.so.4
#10 0x00007fb011092ec6 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#11 0x00007fb015bd19a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#12 0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#13 0x00007fb014b8056d in clone () from /lib/libc.so.6
#14 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fafe2a24910 (LWP 6083)):
#0  0x00007fb014b79cf2 in select () from /lib/libc.so.6
#1  0x00007fb005bfb3e8 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x00007fb005be4079 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#4  0x00007fb014b8056d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fafe2223910 (LWP 6084)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb005bdb4b5 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fb005be087e in ?? () from /usr/lib64/libxine.so.1
#3  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#4  0x00007fb014b8056d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fafe1a22910 (LWP 6085)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb005bdb4b5 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fb005be1822 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#4  0x00007fb014b8056d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fafe1221910 (LWP 6086)):
#0  0x00007fb014658fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb005be9635 in xine_event_wait () from /usr/lib64/libxine.so.1
#2  0x00007fb005be96ab in ?? () from /usr/lib64/libxine.so.1
#3  0x00007fb014654614 in start_thread () from /lib/libpthread.so.0
#4  0x00007fb014b8056d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fb0172197a0 (LWP 6041)):
[KCrash Handler]
#5  QIODevicePrivate::isSequential (this=0x7fafd0002df0) at io/qiodevice_p.h:96
#6  QIODevice::readAll (this=0x7fafd0002df0) at io/qiodevice.cpp:947
#7  0x00007fafeeed37f1 in lastfm::ws::parse(QNetworkReply*) () from /usr/lib64/liblastfm.so.0
#8  0x00007fafeeeb5719 in lastfm::Artist::getSimilar(QNetworkReply*) () from /usr/lib64/liblastfm.so.0
#9  0x00007fafef12c154 in Dynamic::SimilarArtistsBias::artistQueryDone (this=0x2152950) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/services/lastfm/biases/SimilarArtistsBias.cpp:166
#10 0x00007fafef12c48d in Dynamic::SimilarArtistsBias::qt_metacall (this=0x2152950, _c=QMetaObject::InvokeMetaMethod, _id=6324576, _a=0x7fff067ae090)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999_build/src/services/lastfm/SimilarArtistsBias.moc:74
#11 0x00007fb015ca3193 in QMetaObject::activate (sender=<value optimized out>, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3101
#12 0x00007fafef12fcf2 in KNetworkReply::jobDone (this=0x5747210, kJob=<value optimized out>)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/services/lastfm/kdenetwork/knetworkreply.cpp:153
#13 0x00007fafef130305 in KNetworkReply::qt_metacall (this=0x5747210, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff067ae300)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999_build/src/services/lastfm/knetworkreply.moc:73
#14 0x00007fb015ca3193 in QMetaObject::activate (sender=<value optimized out>, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3101
#15 0x00007fb0160508da in KJob::result(KJob*) () from /usr/lib64/libkdecore.so.5
#16 0x00007fb016050bc1 in KJob::emitResult() () from /usr/lib64/libkdecore.so.5
#17 0x00007fb00e0afb97 in KIO::SimpleJob::slotFinished() () from /usr/lib64/libkio.so.5
#18 0x00007fb00e0b0023 in KIO::TransferJob::slotFinished() () from /usr/lib64/libkio.so.5
#19 0x00007fb00e0aebc1 in KIO::TransferJob::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkio.so.5
#20 0x00007fb015ca3193 in QMetaObject::activate (sender=<value optimized out>, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3101
#21 0x00007fb00e1644d9 in KIO::SlaveInterface::dispatch(int, QByteArray const&) () from /usr/lib64/libkio.so.5
#22 0x00007fb00e160f3f in KIO::SlaveInterface::dispatch() () from /usr/lib64/libkio.so.5
#23 0x00007fb00e154de1 in KIO::Slave::gotInput() () from /usr/lib64/libkio.so.5
#24 0x00007fb00e156d92 in KIO::Slave::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkio.so.5
#25 0x00007fb015ca3193 in QMetaObject::activate (sender=<value optimized out>, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3101
#26 0x00007fb00e0810a8 in ?? () from /usr/lib64/libkio.so.5
#27 0x00007fb00e08117c in KIO::Connection::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkio.so.5
#28 0x00007fb015ca0380 in QObject::event (this=0x259c820, e=0x57f1000) at kernel/qobject.cpp:1099
#29 0x00007fb0152a9c95 in QApplicationPrivate::notify_helper (this=0x730e40, receiver=0x259c820, e=0x57f1000) at kernel/qapplication.cpp:4065
#30 0x00007fb0152afc64 in QApplication::notify (this=0x7fff067af490, receiver=0x259c820, e=0x57f1000) at kernel/qapplication.cpp:4030
#31 0x00007fb016d78968 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#32 0x00007fb015c9388c in QCoreApplication::notifyInternal (this=0x7fff067af490, receiver=0x259c820, event=0x57f1000) at kernel/qcoreapplication.cpp:606
#33 0x00007fb015c93f26 in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x612a60) at kernel/qcoreapplication.h:213
#34 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x612a60) at kernel/qcoreapplication.cpp:1244
#35 0x00007fb015cb472f in QCoreApplication::sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:218
#36 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:210
#37 0x00007fb00d2d53dd in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#38 0x00007fb00d2d8519 in ?? () from /usr/lib/libglib-2.0.so.0
#39 0x00007fb00d2d8678 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#40 0x00007fb015cb442d in QEventDispatcherGlib::processEvents (this=0x612480, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:328
#41 0x00007fb015322852 in QGuiEventDispatcherGlib::processEvents (this=0x7fff067adc00, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#42 0x00007fb015c92602 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#43 0x00007fb015c9278c in QEventLoop::exec (this=0x7fff067af430, flags=) at kernel/qeventloop.cpp:197
#44 0x00007fb015c94137 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#45 0x000000000040593a in main (argc=1, argv=0x7fff067b12a8) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/main.cpp:227
Comment 31 Andreas Stangl 2009-10-16 20:51:07 UTC
(In reply to comment #10)
> Andreas, I fail to see what this has to do with Kuba's crash report. We need a
> crash confirmation with a valid backtrace to confirm Kuba's report

By the way, It's pretty cool, that "my" bug now is a duplicate of this bug, even though it had nothing to do with it :D (never mind, I'm just ranting a bit ;-) - you guys really did a great job fixing bug #201111, my dynamic playlist now runs perfectly [with _one_ criterion: rating >= 3.5 stars])
Comment 32 Myriam Schweingruber 2009-10-17 13:12:18 UTC
*** Bug 210806 has been marked as a duplicate of this bug. ***
Comment 33 Mikko C. 2009-10-18 11:58:57 UTC
*** Bug 210957 has been marked as a duplicate of this bug. ***
Comment 34 Myriam Schweingruber 2009-10-19 14:07:12 UTC
*** Bug 211075 has been marked as a duplicate of this bug. ***
Comment 35 Dario Andres 2009-10-21 03:24:06 UTC
*** Bug 211259 has been marked as a duplicate of this bug. ***
Comment 36 Leo Franchi 2009-10-21 23:46:02 UTC
andreas, your recent crash and backtrace are not related to this bug, and i just pushed a fix that should stop that code from crashing. 

this bug looks to be closed---i can't see any more complaints from git with the same backtrace as the many many ones that were pasted previously. so i'm closing--please reopen if you need to, but *only* if you have a backtrace that shows it is the same bug and not a different one.
Comment 37 Mark Kretschmann 2009-10-24 09:58:12 UTC
*** Bug 211618 has been marked as a duplicate of this bug. ***
Comment 38 Myriam Schweingruber 2009-10-25 19:27:09 UTC
*** Bug 211775 has been marked as a duplicate of this bug. ***
Comment 39 Mark Kretschmann 2009-10-26 12:21:05 UTC
*** Bug 211923 has been marked as a duplicate of this bug. ***
Comment 40 Mark Kretschmann 2009-10-26 17:36:59 UTC
*** Bug 211944 has been marked as a duplicate of this bug. ***
Comment 41 Mark Kretschmann 2009-10-29 21:56:56 UTC
*** Bug 212321 has been marked as a duplicate of this bug. ***
Comment 42 Mark Kretschmann 2009-10-31 10:04:36 UTC
*** Bug 212488 has been marked as a duplicate of this bug. ***
Comment 43 Mark Kretschmann 2009-11-01 12:20:32 UTC
commit 06fe035e58d190706e949bcd8fa270f6311c107f
Author: Mark Kretschmann <kretschmann@kde.org>
Date:   Sun Nov 1 12:17:00 2009 +0100

    Enable C++ exceptions handling in Amarok. Fixes liblastfm crashes.

    Liblastfm is using exceptions for error handling. Since Amarok (like
    all KDE apps by default) was built without exceptions support, we just
    _crashed_ whenever an exception occured. Fixed. Additional bonus: We could
    use exceptions in Amarok itself now, if there is a need.

    BUG: 200546
    BUG: 212115
Comment 44 Mark Kretschmann 2009-11-01 17:38:18 UTC
*** Bug 212641 has been marked as a duplicate of this bug. ***
Comment 45 Leo Franchi 2009-11-02 18:04:22 UTC
*** Bug 212772 has been marked as a duplicate of this bug. ***
Comment 46 Mark Kretschmann 2009-11-02 21:10:38 UTC
*** Bug 212800 has been marked as a duplicate of this bug. ***
Comment 47 Mark Kretschmann 2009-11-03 13:17:36 UTC
*** Bug 212898 has been marked as a duplicate of this bug. ***
Comment 48 Myriam Schweingruber 2009-11-04 18:34:25 UTC
*** Bug 213090 has been marked as a duplicate of this bug. ***
Comment 49 Myriam Schweingruber 2009-11-04 19:17:20 UTC
*** Bug 213124 has been marked as a duplicate of this bug. ***
Comment 50 Mark Kretschmann 2009-11-06 13:05:11 UTC
*** Bug 213399 has been marked as a duplicate of this bug. ***
Comment 51 Myriam Schweingruber 2009-11-06 16:02:10 UTC
*** Bug 213420 has been marked as a duplicate of this bug. ***
Comment 52 Myriam Schweingruber 2009-11-06 17:47:28 UTC
*** Bug 213439 has been marked as a duplicate of this bug. ***
Comment 53 Dario Andres 2009-11-10 22:38:57 UTC
*** Bug 214023 has been marked as a duplicate of this bug. ***
Comment 54 Myriam Schweingruber 2009-11-15 21:27:22 UTC
*** Bug 214581 has been marked as a duplicate of this bug. ***
Comment 55 Dario Andres 2009-11-21 22:15:43 UTC
*** Bug 215590 has been marked as a duplicate of this bug. ***
Comment 56 Dario Andres 2009-11-21 22:16:02 UTC
*** Bug 215591 has been marked as a duplicate of this bug. ***
Comment 57 Mikko C. 2009-11-22 15:45:37 UTC
*** Bug 215687 has been marked as a duplicate of this bug. ***
Comment 58 Tejas Guruswamy 2009-11-22 18:13:54 UTC
I'm still getting crashes with dynamic playlists enabled on 2.2.1 ... specifically when trying to repopulate an empty playlist.
amarok then crashes on every startup until I edit amarokrc and remove the mention of DynamicPlaylists.

Definitely not completely fixed I'm afraid.
Comment 59 Mikko C. 2009-11-22 18:36:02 UTC
(In reply to comment #58)
> I'm still getting crashes with dynamic playlists enabled on 2.2.1 ...

For this bug to be reopened you need to provide a valid backtrace with 2.2.1.
Comment 60 Modestas Vainius 2009-11-23 12:36:59 UTC
Original crash recorded in comment #3 is NOT fixed in 2.2.1. I still get reports from people experiencing it. And I doubt it has anything to do with dynamic playlists. This bug was kinda hijacked in comment #4.

Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb398c710 (LWP 26281))]

Thread 16 (Thread 0xb12dbb70 (LWP 26284)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e43d2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f754 in pthread_cond_timedwait () from /lib/i686/cmov/libc.so.6
#3  0xb1fe2943 in ?? () from /usr/lib/libxine.so.1

Thread 15 (Thread 0xb0923b70 (LWP 26285)):
#0  0xb40efe4c in clock_gettime () from /lib/i686/cmov/librt.so.1
#1  0xb70b8e9b in QTimerInfoList::getTime (this=0x827a8c4, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0xb70b9061 in QTimerInfoList::updateCurrentTime (this=0x827a8c4) at kernel/qeventdispatcher_unix.cpp:297
#3  0xb70b7120 in timerSourceCheckHelper (src=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:150
#4  0xb4072c6e in g_main_context_check () from /lib/libglib-2.0.so.0
#5  0xb4073555 in ?? () from /lib/libglib-2.0.so.0
#6  0xb40737a8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#7  0xb70b705f in QEventDispatcherGlib::processEvents (this=0x827a900, flags=...) at kernel/qeventdispatcher_glib.cpp:409
#8  0xb708a83a in QEventLoop::processEvents (this=0xb09232d0, flags=...) at kernel/qeventloop.cpp:149
#9  0xb708ac82 in QEventLoop::exec (this=0xb09232d0, flags=...) at kernel/qeventloop.cpp:201
#10 0xb6f98309 in QThread::exec (this=0x8119988) at thread/qthread.cpp:487
#11 0xb203048a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#12 0xb6f9b5e2 in QThreadPrivate::start (arg=0x8119988) at thread/qthread_unix.cpp:188
#13 0xb43e0585 in start_thread () from /lib/i686/cmov/libpthread.so.0
#14 0xb640218e in clone () from /lib/i686/cmov/libc.so.6

Thread 14 (Thread 0xb0122b70 (LWP 26288)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb63f4a17 in poll () from /lib/i686/cmov/libc.so.6
#2  0xb0ac8a91 in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 13 (Thread 0xaf921b70 (LWP 26289)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb1ff3bae in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 12 (Thread 0xaf120b70 (LWP 26290)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb1ff3bae in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 11 (Thread 0xae91fb70 (LWP 26291)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb1ff3bae in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 10 (Thread 0xae11eb70 (LWP 26292)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb1ff3bae in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 9 (Thread 0xad19ab70 (LWP 26297)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6f9c5c2 in QWaitConditionPrivate::wait (this=0x8cd4368, mutex=0x8cc17a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8cd4368, mutex=0x8cc17a8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb5870648 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8cd4350, th=0x8cd4700) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb58733ac in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8cc1888, th=0x8cd4700) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb586f23b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8cd4350, th=0x8cd4700) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb58734a2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8cd4700) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8cd4700, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8cd4700) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8cd4700, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8cd4700) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8cd4700, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8cd4700) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8cd4700, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8cd4700) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8cd4700, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8cd4700) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#19 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8cd4700, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#20 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8cd4700) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#21 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8cd4700, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#22 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8cd4700) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#23 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8cd4700, previous=0x8e66ac8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#24 0xb58714be in ThreadWeaver::ThreadRunHelper::run (this=0xad19a320, parent=0x8cd4350, th=0x8cd4700) at ../../../threadweaver/Weaver/Thread.cpp:87
#25 0xb5871afb in ThreadWeaver::Thread::run (this=0x8cd4700) at ../../../threadweaver/Weaver/Thread.cpp:142
#26 0xb6f9b5e2 in QThreadPrivate::start (arg=0x8cd4700) at thread/qthread_unix.cpp:188
#27 0xb43e0585 in start_thread () from /lib/i686/cmov/libpthread.so.0
#28 0xb640218e in clone () from /lib/i686/cmov/libc.so.6

Thread 8 (Thread 0xab2ffb70 (LWP 26298)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6f9c5c2 in QWaitConditionPrivate::wait (this=0x8cd4368, mutex=0x8cc17a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8cd4368, mutex=0x8cc17a8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb5870648 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8cd4350, th=0x81bad40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb58733ac in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8cc1888, th=0x81bad40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb586f23b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8cd4350, th=0x81bad40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb58734a2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x81bad40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x81bad40, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x81bad40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x81bad40, previous=0x9408d28) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb58714be in ThreadWeaver::ThreadRunHelper::run (this=0xab2ff320, parent=0x8cd4350, th=0x81bad40) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0xb5871afb in ThreadWeaver::Thread::run (this=0x81bad40) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0xb6f9b5e2 in QThreadPrivate::start (arg=0x81bad40) at thread/qthread_unix.cpp:188
#15 0xb43e0585 in start_thread () from /lib/i686/cmov/libpthread.so.0
#16 0xb640218e in clone () from /lib/i686/cmov/libc.so.6

Thread 7 (Thread 0xaaafeb70 (LWP 26299)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6f9c5c2 in QWaitConditionPrivate::wait (this=0x8cd4368, mutex=0x8cc17a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8cd4368, mutex=0x8cc17a8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb5870648 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8cd4350, th=0x8a62a40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb58733ac in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8cc1888, th=0x8a62a40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb586f23b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8cd4350, th=0x8a62a40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb58734a2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8a62a40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8a62a40, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8a62a40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8a62a40, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8a62a40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8a62a40, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb58734c1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0x8a62a40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0x8a62a40, previous=0x90e4778) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb58714be in ThreadWeaver::ThreadRunHelper::run (this=0xaaafe320, parent=0x8cd4350, th=0x8a62a40) at ../../../threadweaver/Weaver/Thread.cpp:87
#17 0xb5871afb in ThreadWeaver::Thread::run (this=0x8a62a40) at ../../../threadweaver/Weaver/Thread.cpp:142
#18 0xb6f9b5e2 in QThreadPrivate::start (arg=0x8a62a40) at thread/qthread_unix.cpp:188
#19 0xb43e0585 in start_thread () from /lib/i686/cmov/libpthread.so.0
#20 0xb640218e in clone () from /lib/i686/cmov/libc.so.6

Thread 6 (Thread 0xaa2fdb70 (LWP 26300)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb6f9c5c2 in QWaitConditionPrivate::wait (this=0x8cd4368, mutex=0x8cc17a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x8cd4368, mutex=0x8cc17a8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb5870648 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8cd4350, th=0xab3014b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb58733ac in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8cc1888, th=0xab3014b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb586f23b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8cd4350, th=0xab3014b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb58734a2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8cc1888, th=0xab3014b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb5870bd3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8cd4350, th=0xab3014b0, previous=0x9915ba00) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb58714be in ThreadWeaver::ThreadRunHelper::run (this=0xaa2fd320, parent=0x8cd4350, th=0xab3014b0) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb5871afb in ThreadWeaver::Thread::run (this=0xab3014b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb6f9b5e2 in QThreadPrivate::start (arg=0xab3014b0) at thread/qthread_unix.cpp:188
#13 0xb43e0585 in start_thread () from /lib/i686/cmov/libpthread.so.0
#14 0xb640218e in clone () from /lib/i686/cmov/libc.so.6

Thread 5 (Thread 0xa3cf4b70 (LWP 26349)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb63fb481 in select () from /lib/i686/cmov/libc.so.6
#2  0xb200c4ba in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 4 (Thread 0xa310ab70 (LWP 27309)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb1fe6042 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 3 (Thread 0xa273cb70 (LWP 27310)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb1fe6042 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 2 (Thread 0x9a674b70 (LWP 27311)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43e40a5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb640f6fd in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb1ff69d6 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb398c710 (LWP 26281)):
[KCrash Handler]
#6  QIODevicePrivate::isSequential (this=0xd579190) at io/qiodevice_p.h:96
#7  QIODevice::readAll (this=0xd579190) at io/qiodevice.cpp:947
#8  0xabb5aa1c in lastfm::ws::parse(QNetworkReply*) () from /usr/lib/liblastfm.so.0
#9  0xabb66dfb in lastfm::Artist::getSimilar(QNetworkReply*) () from /usr/lib/liblastfm.so.0
#10 0xabbe94a2 in Dynamic::SimilarArtistsBias::artistQueryDone (this=0xcfada98) at ../../../../src/services/lastfm/biases/SimilarArtistsBias.cpp:169
#11 0xabbeb5db in Dynamic::SimilarArtistsBias::qt_metacall (this=0xcfada98, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbf9aaa48) at ./SimilarArtistsBias.moc:74
#12 0xb70a1303 in QMetaObject::activate (sender=0xd49a328, from_signal_index=9, to_signal_index=9, argv=0x0) at kernel/qobject.cpp:3112
#13 0xb70a1f42 in QMetaObject::activate (sender=0xd49a328, m=0xb615caac, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3186
#14 0xb610ae37 in QNetworkReply::finished (this=0xd49a328) at .moc/release-shared/moc_qnetworkreply.cpp:143
#15 0xabbf0648 in KNetworkReply::jobDone (this=0xd49a328, kJob=0x8a18188) at ../../../../src/services/lastfm/kdenetwork/knetworkreply.cpp:153
#16 0xabbf12cf in KNetworkReply::qt_metacall (this=0xd49a328, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbf9aabfc) at ./knetworkreply.moc:73
#17 0xb70a1303 in QMetaObject::activate (sender=0x8a18188, from_signal_index=7, to_signal_index=7, argv=0xbf9aabfc) at kernel/qobject.cpp:3112
#18 0xb70a1f42 in QMetaObject::activate (sender=0x8a18188, m=0xb73b5c28, local_signal_index=3, argv=0xbf9aabfc) at kernel/qobject.cpp:3186
#19 0xb72584d3 in KJob::result (this=0x8a18188, _t1=0x8a18188) at ./kjob.moc:188
#20 0xb7258979 in KJob::emitResult (this=0x8a18188) at ../../kdecore/jobs/kjob.cpp:304
#21 0xb41ebbd5 in KIO::SimpleJob::slotFinished (this=0x8a18188) at ../../kio/kio/job.cpp:477
#22 0xb41ec533 in KIO::TransferJob::slotFinished (this=0x8a18188) at ../../kio/kio/job.cpp:948
#23 0xb41e8ac3 in KIO::TransferJob::qt_metacall (this=0x8a18188, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbf9aae38) at ./jobclasses.moc:343
#24 0xb70a1303 in QMetaObject::activate (sender=0x8d26878, from_signal_index=8, to_signal_index=8, argv=0x0) at kernel/qobject.cpp:3112
#25 0xb70a1f42 in QMetaObject::activate (sender=0x8d26878, m=0xb4393ba4, local_signal_index=4, argv=0x0) at kernel/qobject.cpp:3186
#26 0xb42b17d7 in KIO::SlaveInterface::finished (this=0x8d26878) at ./slaveinterface.moc:165
#27 0xb42b5587 in KIO::SlaveInterface::dispatch (this=0x8d26878, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:175
#28 0xb42b1cb7 in KIO::SlaveInterface::dispatch (this=0x8d26878) at ../../kio/kio/slaveinterface.cpp:91
#29 0xb42a3c9d in KIO::Slave::gotInput (this=0x8d26878) at ../../kio/kio/slave.cpp:322
#30 0xb42a6183 in KIO::Slave::qt_metacall (this=0x8d26878, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbf9ab108) at ./slave.moc:76
#31 0xb70a1303 in QMetaObject::activate (sender=0xd5477d0, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3112
#32 0xb70a1f42 in QMetaObject::activate (sender=0xd5477d0, m=0xb43904e0, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3186
#33 0xb41afd57 in KIO::Connection::readyRead (this=0xd5477d0) at ./connection.moc:86
#34 0xb41b1663 in KIO::ConnectionPrivate::dequeue (this=0xd59fd10) at ../../kio/kio/connection.cpp:82
#35 0xb41b1a46 in KIO::Connection::qt_metacall (this=0xd5477d0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x8ed4360) at ./connection.moc:73
#36 0xb709ab0b in QMetaCallEvent::placeMetaCall (this=0x8ed7850, object=0xd5477d0) at kernel/qobject.cpp:477
#37 0xb709c5e0 in QObject::event (this=0xd5477d0, e=0x8ed7850) at kernel/qobject.cpp:1110
#38 0xb66cba94 in QApplicationPrivate::notify_helper (this=0x811d550, receiver=0xd5477d0, e=0x8ed7850) at kernel/qapplication.cpp:4065
#39 0xb66d3bee in QApplication::notify (this=0xbf9abb98, receiver=0xd5477d0, e=0x8ed7850) at kernel/qapplication.cpp:3605
#40 0xb7db30fd in KApplication::notify (this=0xbf9abb98, receiver=0xd5477d0, event=0x8ed7850) at ../../kdeui/kernel/kapplication.cpp:302
#41 0xb708c1eb in QCoreApplication::notifyInternal (this=0xbf9abb98, receiver=0xd5477d0, event=0x8ed7850) at kernel/qcoreapplication.cpp:610
#42 0xb708ce2e in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x8060b98) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#43 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8060b98) at kernel/qcoreapplication.cpp:1247
#44 0xb708d00d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1140
#45 0xb70b74cf in QCoreApplication::sendPostedEvents (s=0x811f710) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#46 postEventSourceDispatch (s=0x811f710) at kernel/qeventdispatcher_glib.cpp:276
#47 0xb406fe98 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#48 0xb4073623 in ?? () from /lib/libglib-2.0.so.0
#49 0xb40737a8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#50 0xb70b7041 in QEventDispatcherGlib::processEvents (this=0x80609c0, flags=...) at kernel/qeventdispatcher_glib.cpp:407
#51 0xb676b305 in QGuiEventDispatcherGlib::processEvents (this=0x80609c0, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#52 0xb708a83a in QEventLoop::processEvents (this=0xbf9ab840, flags=...) at kernel/qeventloop.cpp:149
#53 0xb708ac82 in QEventLoop::exec (this=0xbf9ab840, flags=...) at kernel/qeventloop.cpp:201
#54 0xb708d0d9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#55 0xb66cb917 in QApplication::exec () at kernel/qapplication.cpp:3525
#56 0x080520e6 in main (argc=1, argv=0xbf9ac394) at ../../src/main.cpp:227
Comment 61 Myriam Schweingruber 2009-11-23 19:49:32 UTC
Reopening based on comment #60
Comment 62 Mark Kretschmann 2009-11-24 08:52:49 UTC
Modestas, your backtrace does not directly have to do with Dynamic Playlists. What really happens:

LibLastfm uses exceptions internally. KDE and Qt do not, but in order to catch them (not catching them -> crash), we had to enable exception handling in Amarok 2.2.1. We're still not quite there, as we are now getting an error from Qt, but we are working on fixing this. If you are interested:

"Qt has caught an exception thrown from an event handler. Throwing
exceptions from an event handler is not supported in Qt. You must
reimplement QApplication::notify() and catch all exceptions there.

terminate called after throwing an instance of 'lastfm::ws::Error'"


So this bug is both valid and invalid. I'm merging it with another report.

*** This bug has been marked as a duplicate of bug 212115 ***
Comment 63 Mark Kretschmann 2009-11-24 10:54:25 UTC
*** Bug 215943 has been marked as a duplicate of this bug. ***
Comment 64 Myriam Schweingruber 2009-11-24 23:13:06 UTC
*** Bug 215987 has been marked as a duplicate of this bug. ***
Comment 65 Myriam Schweingruber 2009-11-24 23:14:08 UTC
*** Bug 215999 has been marked as a duplicate of this bug. ***
Comment 66 Mikko C. 2009-11-28 13:50:25 UTC
*** Bug 216506 has been marked as a duplicate of this bug. ***
Comment 67 Myriam Schweingruber 2009-11-29 21:21:45 UTC
*** Bug 216720 has been marked as a duplicate of this bug. ***
Comment 68 Myriam Schweingruber 2009-12-03 00:23:50 UTC
*** Bug 217133 has been marked as a duplicate of this bug. ***
Comment 69 Dario Andres 2009-12-19 14:46:38 UTC
*** Bug 219309 has been marked as a duplicate of this bug. ***
Comment 70 Dario Andres 2009-12-31 22:43:26 UTC
*** Bug 220839 has been marked as a duplicate of this bug. ***
Comment 71 Jonathan Thomas 2010-01-01 15:53:37 UTC
*** Bug 220888 has been marked as a duplicate of this bug. ***
Comment 72 Myriam Schweingruber 2010-02-01 10:18:31 UTC
*** Bug 225049 has been marked as a duplicate of this bug. ***
Comment 73 Myriam Schweingruber 2010-02-14 11:53:25 UTC
*** Bug 226772 has been marked as a duplicate of this bug. ***
Comment 74 Myriam Schweingruber 2010-02-25 08:53:02 UTC
*** Bug 228408 has been marked as a duplicate of this bug. ***
Comment 75 Myriam Schweingruber 2010-02-27 03:10:41 UTC
*** Bug 228648 has been marked as a duplicate of this bug. ***
Comment 76 Myriam Schweingruber 2010-03-08 16:42:17 UTC
*** Bug 229902 has been marked as a duplicate of this bug. ***
Comment 77 Kevin Funk 2011-05-17 12:31:22 UTC
Git commit 3e1abe0e0f998db4597adf80ab087d7314657a11 by Kevin Funk.
Committed on 16/05/2011 at 18:45.
Pushed by kfunk into branch 'master'.

Possible fix for crash caused by dangling pointers

Happened quite rarely, likely caused by dereferencing one of the
QNetworkReply pointers when already deleted through
QObject::deleteLater()
Setting them to 0 after issuing deleteLater() should fix this.

Likely superseeded by Ralf Engels dynamicplaylist changes anyway.

Backtrace:
(this=0x2f9f390) at
../../../../src/services/lastfm/biases/LastFmBias.cpp:231
(this=0x2f9f390, _c=QMetaObject::InvokeMetaMethod, _id=1,
_a=0x7fffe81f1780) at ./LastFmBias.moc:90

CCBUG: 200546

M  +6    -0    src/services/lastfm/biases/LastFmBias.cpp     

http://commits.kde.org/amarok/3e1abe0e0f998db4597adf80ab087d7314657a11